Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
wowf.models.tokens.InviteToken Class Reference

Invite new user token. More...

Inheritance diagram for wowf.models.tokens.InviteToken:
Collaboration diagram for wowf.models.tokens.InviteToken:

## Public Member Functions
def | is_valid
Public Member Functions inherited from wowf.models.tokens.Token
def | user_id
def | user
def | __init__
def | __unicode__
def | create
def | get_by_token
def | delete_expired

## Static Public Attributes
tuple | user_id
Static Public Attributes inherited from wowf.models.tokens.Token
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | token = Column(CHAR(36), nullable=False, unique=True, default=lambda: str(uuid.uuid4()))
tuple | created_at = Column(DateTime, nullable=False, default=current_timestamp)
tuple | expires_at = Column(DateTime, nullable=False)

## Static Private Attributes
string | __tablename__ = 'invite_tokens'

## Additional Inherited Members
Public Attributes inherited from wowf.models.tokens.Token
| user
| expires_at

## Detailed Description

Invite new user token.

Invitations need not necessarily come from any specific user, so the user is optional.

Definition at line 104 of file tokens.py.

## Member Function Documentation

def wowf.models.tokens.InviteToken.is_valid | ( |  | self | ) |

Reimplemented from wowf.models.tokens.Token.

Definition at line 111 of file tokens.py.

## Member Data Documentation

string wowf.models.tokens.InviteToken.__tablename__ = 'invite_tokens'
| static private

Definition at line 106 of file tokens.py.

tuple wowf.models.tokens.InviteToken.user_id
| static

Initial value:
Column(
Integer(unsigned=True), ForeignKey('users.id', ondelete='cascade'),
nullable=True)

Definition at line 107 of file tokens.py.

The documentation for this class was generated from the following file:

- wowf/models/tokens.py